#define LEN 256
#define TRUE 1
#define FALSE 0

struct waisresult {
	char *fname;		/* file name of hit file */
	char *dir;		/* its path name */
	char *score;		/* hit score */
	char *numofb;		/* files size in bytes */
	char *numofl;		/* number of lines in file */
	struct waisresult *next;
};

struct abstract {
	char *title;		/* title of URL */
	char *data; /* Collection of headings in URL */
	char *url;		/* the URL */
	struct abstract *next;
};

#define MAX_ENTRIES 10000

typedef struct {
    char *name;
    char *val;
} entry;

/* The cgi-bin utils stuff */
char *makeword(char *line, char stop);
char *fmakeword(FILE *f, char stop, int *len);
char x2c(char *what);
void unescape_url(char *url);
void plustospace(char *str);


struct waisresult *scan_waisqout();
struct waisresult *wqnext();
struct abstract *abnext();
struct abstract *scan_hitfile();
char *insert_breaks();
char *strupr();
char *strlow();
char *strlowu();
char *suckstr();
char *urlstr();
void scan_and_print();
void printht();
void do_remarks();
char *fix();
char *get_path();
show_it();
